package exerr

import (
	"time"
)

type ExErr struct {
	UniqueID string `json:"uniqueID"`

	Timestamp time.Time     `json:"timestamp"`
	Category  ErrorCategory `json:"category"`
	Severity  ErrorSeverity `json:"severity"`
	Type      ErrorType     `json:"type"`

	Message string `json:"message"`
	Caller  string `json:"caller"`

	OriginalError *ExErr

	Meta MetaMap `json:"meta"`
}

func (ee ExErr) Error() string {

}

func (ee ExErr) Unwrap() error {

}

func (ee ExErr) Is(err error) bool {

}
